# Rewe Vereinsscheine Fetcher
Get information for the Campaign 'Scheine für Vereine' of Rewe.
Finds 'Vereine' in the given location and exports their address and 'Scheine' information.

## Usage
```bash
./main.py <latitude> <longitude> [--export-file <file>]
```

This generates a csv-file with the following structure:
`account_name,address,post_code,city,total_balance,available_balance,redeemed`

## Background information
More information about the campaign can be found on the [corresponding page](https://scheinefuervereine.rewe.de/).

The API endpoints used are:
`https://scheinefuervereine.rewe.de/consumer-api/customer.php?action=get_club&id=<id>`
and
`https://scheinefuervereine.rewe.de/consumer-api/customer.php?action=get_clubs_near_location&count=<count>&lat=<latitude>&long=<longitude>`
